  
import React from 'react';
import { app, api, StoreWrap } from 'xadmin';
import { Page } from 'xadmin-ui';
import HomeContent from './../Home'
import WinService from './../models/Service/winIndex'
import Service from './../models/Service/index'

const Dashboard = () => {

  const [url, setUrl] = React.useState('')

  // 查询服务器状态信息
  api({name: ''}).fetch(`api/server/info`, { method: 'GET' }).then(data => {
    if (data && data.json) { // { online: true/false, serverType: "windows/docker/k3s" }
      let result = {...data.json}
      if (data.json.serverType === 'windows') {
        result.url1 = 'win'
        result.url2 = 'win/pg'
        result.url3 = 'win/proc'
        result.url4 = 'win/offlineInstall'
        app.get('models').Service = WinService.Service
      } else if (data.json.serverType === 'docker') {
        result.url1 = 'docker'
        result.url2 = 'docker/compose'
        result.url3 = 'docker/containers'
        result.url4 = 'docker/install'
        app.get('models').Service = Service.Service
      }
      // app.context.serverInfo = result
      localStorage.setItem('serverInfo', JSON.stringify(result))
      setUrl(result.url2)
    }
  })

  return (
    <Page>
      { url && <HomeContent url={url} /> }
    </Page>
  )

}

export default StoreWrap('test', { 
  data: ({ state }) => ({ title: state.test }),
  event: {
    // mount: ({ dispatch }) => dispatch({ type: '@@xadmin/ADD_NOTICE', headline: 'Test', message: 'Test message' })
  }
})(Dashboard);
