import React from 'react'
import { Menu } from 'antd'
import { StoreWrap, app, Block } from 'xadmin'
import { _t } from 'xadmin-i18n'
import UserSvg from './../icon/User.svg'

export default StoreWrap('auth.user')(({ user, onLogout, ...props }) =>
  user && (
    <Block name="top.user.menu">
      {items => (
        <Menu.SubMenu key="user-dorpdown " className="user-menu" {...props}
          title={<span className="submenu-title-wrapper">
            <span ><img className='usericon' src={UserSvg} /></span>
            <span className="nav-text" >{user.username}</span>
          </span>}>
          {items}
          <Menu.Item key="changePassword" onClick={() => app.go('/app/changePassword')}> 修改密码</Menu.Item >
          <Menu.Item key="logout" onClick={onLogout}> 退出系统</Menu.Item>
        </Menu.SubMenu>
      )}
    </Block>
  )
)
