import React from 'react'
import { api } from 'xadmin'
import { Select, Input } from 'antd';

const { Option } = Select;

const ImageInput = ({ input }) => {
  const [imageList, setImageList] = React.useState([])
  const [type, setType] = React.useState(input.value ? 'select' : 'input')

  React.useEffect(() => {
    api({ name: 'api' }).fetch(`/docker/image/repoTags`, {
      method: 'GET',
    }).then(({ json }) => {
      if (json && json.length > 0) {
        setImageList(json)
      }
    })
  }, [])

  const onChange = value => {
    input.onChange(value)
  }
  
  return (<>
  <Input.Group compact>
    <Select
      style={{ width: '10%' }}
      defaultValue = {type}
      onChange={value => {
        setType(value)
        input.onChange(null)
      }}
    >
      <Option value='input'>输入</Option>
      <Option value='select'>选择</Option>
    </Select>
    {
      type === 'input' ? 
      <Input style={{ width: '90%' }} onChange={onChange} /> :
      <Select
        showSearch
        style={{ width: '90%' }}
        // placeholder="Select a person"
        // optionFilterProp="children"
        defaultValue={input.value}
        onChange={onChange}
      >
        { imageList.map((item, index) => <Option key={index} value={item}>{item}</Option>) }
      </Select>
      }
  </Input.Group>
  </>)
}

export default ImageInput