import React from 'react';
import { api, app } from 'xadmin';
import { Icon } from 'xadmin-ui'
import { Button, Upload, message, } from 'antd';


const UploadFile = ({ input, title, url, accept }) => {
  const [loading, setLoading] = React.useState(false)
  const serverInfo = JSON.parse(localStorage.getItem('serverInfo'))
  const props = {
    name: 'file',
    accept: accept || '.gz,.zip',
    action: api({ name: 'api' }).getHost() + (url || `api/${serverInfo?.url4}`),
    headers: {
      authorization: api({ name: 'api' }).headers.Authorization,
    },
  };
  const onChange = (info) => {
    setLoading(true)
    if (info.file.status !== 'uploading') {
    }
    if (info.file.status === 'done') {
      setLoading(false)
      message.success(`${info.file.name} 上传成功`);
    } else if (info.file.status === 'error') {
      setLoading(false)
      message.error(`${info.file.name} 上传失败`);
    }
  }

  return (
    <Upload {...props} maxCount={1} onChange={onChange}>
      <Button loading={loading}>
        <Icon type="upload" /> {title || '上传镜像'}
      </Button>
    </Upload>
  )
}

export default UploadFile