import React from 'react'
import { api, app } from 'xadmin'
import { Icon, Loading, Page } from 'xadmin-ui';
import { Card, Input, Button, message } from 'antd';
import { ArrowLeftOutlined } from '@ant-design/icons';

const { TextArea } = Input

const DepolymentPage = props => {
  const [loading, setLoading] = React.useState(false)
  const [body, setBody] = React.useState('')
  const serverInfo = JSON.parse(localStorage.getItem('serverInfo'))

  React.useEffect(() => {
    setLoading(true)
    api({ name: 'api' }).fetch(`/${serverInfo?.url2}/yml`, {})
      .then(({ status, body }) => {
        if (status === 200) {
          setBody(body)
          setLoading(false)
        }
      })
  }, [])

  const handleChange = ({ target: { value } }) => {
    setBody(value)
  }

  const save = () => {
    // message.warning('暂时不可保存')
    // return
    setLoading(true)
    api({ name: 'api' }).fetch(`/${serverInfo?.url2}/yml`, {
      method: 'POST',
      body
    }).then(({ status }) => {
        if (status === 200) {
          message.success('保存成功')
          setLoading(false)
        }
      })
  }

  return (
    <Page title={<span><ArrowLeftOutlined onClick={() => app.go('/app/model/Service/list')} />编辑部署文件</span>}>
      <Card title={
        <div style={{ display: 'flex', justifyContent: ' space-between', }}>
          <span>部署文件</span>
          <Button type="primary" loading={loading} onClick={save}>保存</Button>
        </div>
      }>
        <div style={{ overflowX: 'auto', width: '100%', marginBottom: 10, backgroundColor: '#000' }} >
          {loading ? <Loading /> : 
          <TextArea rows={25} value={body} onChange={handleChange} style={{ backgroundColor: '#000', color: '#fff' }} />}
        </div>
      </Card>
    </Page>
  )
}

export default DepolymentPage